--[[
Created by Grid2 original authors, modified by Michael
--]]

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")

StaticPopupDialogs["GRID2_DEBUG_CONFIRM_RESET"] = {
	text = L["Warning! This option will delete all settings and profiles, are you sure ?"],
	button1 = ACCEPT,
	button2 = CANCEL,
	OnAccept = function()
		Grid2DB = nil
		ReloadUI()
	end,
	timeout = 0,
	whileDead = true,
	hideOnEscape = true,
}

function Grid2Options:AddModuleDebugMenu(name, module)
	local option= {}
   	option[name]= {
		type = "toggle",
		order = 3,
		name = name,
		desc = L["Toggle debugging for %s."]:format(name),
		get = function ()
			return module.db.profile.debug
		end,
		set = function ()
			local v = not module.db.profile.debug
			module.db.profile.debug = v
			module.debugging = v
		end,
	}
	Grid2Options:AddModuleOptions( "Debug", nil,  option )
end

function Grid2Options:MakeDebugOptions(reset)
	Grid2Options:AddModuleOptions( "Debug", nil,  {
		reset = {
			type = "execute",
			order = 1,
			name = L["Reset"],
			desc = L["Reset current setup and ReloadUI."],
			func = function ()
				StaticPopup_Show ("GRID2_DEBUG_CONFIRM_RESET")
			end,
		},
		resetSpacer = {
			type = "header",
			order = 3,
			name = "",
		}
	})
	
	self:AddModuleDebugMenu("Grid2", Grid2 )
	for name, module in Grid2:IterateModules() do
		self:AddModuleDebugMenu(name, module)
	end
end